%global enable_tests 1

Name:           nodejs-srs
Version:        0.3.8
Release:        1%{?dist}
Summary:        Spatial reference library for Node.js

License:        BSD
URL:            https://github.com/springmeyer/node-srs
# Real source is http://registry.npmjs.org/srs/-/srs-%{version}.tgz
# but files copied from gdal whose provenance is unclear (as described
# in PROVENANCE.TXT and PROVENANCE.TXT-fedora in gdal) have been
# removed from the tar ball by the cleaner script.
Source0:        srs-%{version}-fedora.tgz
# Cleaner script for the tarball
Source1:        nodejs-srs-cleaner.sh
# Settings file normally generated by waf build
Source2:        nodejs-srs-settings.js
# Patch out stripping of the compiled module
Patch0:         nodejs-srs-strip.patch
# Patch out tests which rely on removed files
Patch1:         nodejs-srs-tests.patch
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  gdal-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  gdal
BuildRequires:  proj-epsg
%endif

%{?nodejs_default_filter}

%description
Bindings to libosr for handling spatial references in Node.js.


%prep
%setup -q -n package-fedora
%patch0 -p1 -b .strip
%patch1 -p1 -b .tests
cp -pr %{SOURCE2} lib/settings.js
rm -rf deps/* node_modules lib/srs_data


%build
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dshared_gdal=true
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/srs
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/srs
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_PATH=lib %{nodejs_sitearch}/mocha/bin/mocha -R spec
%endif


%files
%doc LICENSE.txt README.md
%{nodejs_sitearch}/srs


%changelog
* Fri Nov  8 2013 Tom Hughes <tom@compton.nu> - 0.3.8-1
- Update to 0.3.8 upstream release

* Sun Nov  3 2013 Tom Hughes <tom@compton.nu> - 0.3.7-1
- Update to 0.3.7 upstream release

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.3.6-2
- Rebuild with correct source archive

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.3.6-1
- Update to 0.3.6 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-3
- Don't strip the compiled extension module

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-2
- Rebuild with correct source archive

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-1
- Update to 0.3.3 upstream release

* Mon Aug 26 2013 Tom Hughes <tom@compton.nu> - 0.3.2-2
- Don't strip the compiled extension module

* Tue Aug 20 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release

* Sun Aug 11 2013 Tom Hughes <tom@compton.nu> - 0.3.1-1
- Update to 0.3.1 upstream release

* Thu Aug  8 2013 Tom Hughes <tom@compton.nu> - 0.3.0-1
- Update to 0.3.0 upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr  3 2013 Tom Hughes <tom@compton.nu> - 0.2.20-3
- Filter out provide for Node.js native extension
- Enable tests

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 0.2.20-2
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.2.20-1
- Initial build of 0.2.20
